Invitations
Create
POST/organizations/{organization_id}/invitations
List
GET/organizations/{organization_id}/invitations
Delete
DELETE/organizations/{organization_id}/invitations/{invitation_id}
ModelsExpand Collapse
Invitation = object { id, created_at, created_by, 7 more }
Invitation = object { id, created_at, created_by, 7 more }
id: string
Identifier for API resources. A 26-char nanoid (URL/DNS safe).
minLength1
maxLength255
created_at: string
The time the entity was created in utc
formatdate-time
created_by: string
ID of the user who created the invitation
minLength1
maxLength255
email: string
Email address for the invitation
formatemail
expires_at: string
When the invitation expires
formatdate-time
organization_id: string
Identifier for API resources. A 26-char nanoid (URL/DNS safe).
minLength1
maxLength255
Role that will be assigned when invitation is accepted
Role that will be assigned when invitation is accepted
Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
Status of an invitation
Status of an invitation
Accepts one of the following:
"pending"
"accepted"
"expired"
"revoked"
updated_at: string
The time the entity was mostly recently updated in utc
formatdate-time
permissions: optional map[map[boolean]]
Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.
InvitationStatus = "pending" or "accepted" or "expired" or "revoked"Status of an invitation
InvitationStatus = "pending" or "accepted" or "expired" or "revoked"
Status of an invitation
Accepts one of the following:
"pending"
"accepted"
"expired"
"revoked"